## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenTypeParameterImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenTypeParameterImpl

All Implemented Interfaces:
  GenBase, GenTypeParameter, Notifier, EObject, InternalEObject

    public class GenTypeParameterImpl

extends GenBaseImpl
implements GenTypeParameter

An implementation of the model object 'Gen Type Parameter'.

The following features are implemented:

- `Ecore Type Parameter`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected ETypeParameter` `ecoreTypeParameter` The cached value of the '`Ecore Type Parameter`' reference

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenTypeParameterImpl()`

Method Summary
`ETypeParameter` `basicGetEcoreTypeParameter()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`ETypeParameter` `getEcoreTypeParameter()`
`protected java.lang.String` `getModelInfo(boolean qualified)`
`java.lang.String` `getName()`
`java.lang.String` `getQualifiedModelInfo()`
`void` `initialize(ETypeParameter eTypeParameter)`
`boolean` `isUsed()`
`boolean` `reconcile()`
`boolean` `reconcile(GenTypeParameter oldGenTypeParameterVersion)`
`protected void` `reconcileSettings(GenTypeParameter oldGenTypeParameterVersion)`
`void` `setEcoreTypeParameter(ETypeParameter newEcoreTypeParameter)`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, collectGenOperations, createInputStream, createMonitor, createOutputStream, eInverseAdd, eInverseRemove, eObjectForURIFragmentSegment, escapeString, eURIFragmentSegment, exists, filterGenClasses, findGenClass, findGenClassifier, findGenDataType, findGenEnum, findGenFeature, findGenOperation, findGenPackage, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getCopyright, getDocumentation, getDocumentation, getEcoreModelElement, getEcoreType, getEffectiveComplianceLevel, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getExtendedMetaData, getGenAnnotation, getGenAnnotations, getGenModel, getImplClassName, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedType, getImportedType, getImportedType, getImportManager, getInstanceClass, getInterfaceName, getJavaLangTypes, getJavaReservedWords, getMainGenModel, getModelInfo, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasModelContribution, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, indent, isBlank, isDerivedType, isEffectiveSuppressEMFTypes, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, isRemappedXMLType, parseName, reconcileGenAnnotations, safeName, setImportManager, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ecoreTypeParameter

    protected ETypeParameter ecoreTypeParameter

  The cached value of the '`Ecore Type Parameter`' reference.

  See Also:
    `getEcoreTypeParameter()`

Constructor Detail

### GenTypeParameterImpl

    protected GenTypeParameterImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenBaseImpl`

### getEcoreTypeParameter

    public ETypeParameter getEcoreTypeParameter()

  Specified by:
    `getEcoreTypeParameter` in interface `GenTypeParameter`
  Returns:
    the value of the 'Ecore Type Parameter' reference.
  See Also:
    `GenTypeParameter.setEcoreTypeParameter(ETypeParameter)`, `GenModelPackage.getGenTypeParameter_EcoreTypeParameter()`

### basicGetEcoreTypeParameter

    public ETypeParameter basicGetEcoreTypeParameter()

### setEcoreTypeParameter

    public void setEcoreTypeParameter(ETypeParameter newEcoreTypeParameter)

  Specified by:
    `setEcoreTypeParameter` in interface `GenTypeParameter`
  Parameters:
    `newEcoreTypeParameter` - the new value of the 'Ecore Type Parameter' reference.
  See Also:
    `GenTypeParameter.getEcoreTypeParameter()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenBaseImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenBaseImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenBaseImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenBaseImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `GenTypeParameter`
  Specified by:
    `getName` in class `GenBaseImpl`

### initialize

    public void initialize(ETypeParameter eTypeParameter)

  Specified by:
    `initialize` in interface `GenTypeParameter`

### reconcile

    public boolean reconcile(GenTypeParameter oldGenTypeParameterVersion)

  Specified by:
    `reconcile` in interface `GenTypeParameter`

### reconcileSettings

    protected void reconcileSettings(GenTypeParameter oldGenTypeParameterVersion)

### reconcile

    public boolean reconcile()

  Specified by:
    `reconcile` in interface `GenBase`

### isUsed

    public boolean isUsed()

  Specified by:
    `isUsed` in interface `GenTypeParameter`

### getQualifiedModelInfo

    public java.lang.String getQualifiedModelInfo()

  Specified by:
    `getQualifiedModelInfo` in interface `GenTypeParameter`

### getModelInfo

    protected java.lang.String getModelInfo(boolean qualified)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.